## linux-backports-modules-2.6.27 2.6.27-7.4

=== updates/compat-wireless-2.6/Makefile ===
KMODDIR?=       updates
KMODDIR_ARG:=   "INSTALL_MOD_DIR=$(KMODDIR)"
ifneq ($(origin $(KLIB)), undefined)
KMODPATH_ARG:=  "INSTALL_MOD_PATH=$(KLIB)"
else
KLIB:=          /lib/modules/$(shell uname -r)
endif
export KLIB_BUILD ?=	$(KLIB)/build
# Sometimes not available in the path
MODPROBE := /sbin/modprobe
MADWIFI=$(shell $(MODPROBE) -l ath_pci)

ifneq ($(KERNELRELEASE),)

include $(M)/$(COMPAT_CONFIG)

NOSTDINC_FLAGS := -I$(M)/include/ -include $(M)/include/net/compat.h $(CFLAGS)

obj-y := net/wireless/ net/mac80211/
ifeq ($(ONLY_CORE),)
obj-y += net/ieee80211/ \
	drivers/ssb/ \
	drivers/misc/ \
	drivers/net/usb/ \
	drivers/net/wireless/
endif

else

export PWD :=	$(shell pwd)

# These exported as they are used by the scripts
# to check config and compat autoconf
export COMPAT_CONFIG=config.mk
export CONFIG_CHECK=.$(COMPAT_CONFIG)_md5sum.txt
export COMPAT_AUTOCONF=include/linux/compat_autoconf.h
export CREL=$(shell cat $(PWD)/compat-release)
export CREL_PRE:=.compat_autoconf_
export CREL_CHECK:=$(CREL_PRE)$(CREL)

include $(PWD)/$(COMPAT_CONFIG)

all: modules

modules: $(CREL_CHECK)
	@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) modules

# With the above and this we make sure we generate a new compat autoconf per
# new relase of compat-wireless-2.6 OR when the user updates the 
# $(COMPAT_CONFIG) file
$(CREL_CHECK):
	@# Force to regenerate compat autoconf
	@rm -f $(CONFIG_CHECK)
	@./scripts/check_config.sh
	@touch $@
	@md5sum $(COMPAT_CONFIG) > $(CONFIG_CHECK)

install: uninstall modules
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) \
		modules_install
	@# All the scripts we can use
	@mkdir -p /usr/lib/compat-wireless/
	@install scripts/modlib.sh	/usr/lib/compat-wireless/
	@install scripts/madwifi-unload	/usr/sbin/
	@# This is to allow switching between drivers without blacklisting
	@install scripts/athenable	/usr/sbin/
	@install scripts/b43enable	/usr/sbin/
	@install scripts/athload	/usr/sbin/
	@install scripts/b43load	/usr/sbin/
	@if [ ! -z $(MADWIFI) ]; then \
		echo ;\
		echo -n "Note: madwifi detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo athenable madwifi"  ;\
		echo ;\
		echo Running athenable ath5k...;\
		/usr/sbin/athenable ath5k ;\
	fi
	@/sbin/depmod -ae
	@echo
	@echo "Currently detected wireless subsystem modules:"
	@echo 
	@$(MODPROBE) -l mac80211
	@# rc80211_simple is a module only on 2.6.22 and 2.6.23
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l at76_usb
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwl4965
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l ieee80211
	@$(MODPROBE) -l ieee80211_crypt
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l ub8xxx
	@$(MODPROBE) -l p54_pci
	@$(MODPROBE) -l p54_usb
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l zd1211rw
	@echo 
	@echo Now run:
	@echo 
	@echo make unload
	@echo
	@echo And then load the wireless module you need. If unsure run:
	@echo
	@echo make load
	@echo

uninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/net/mac80211/
	@rm -rf $(KLIB)/$(KMODDIR)/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/net/ieee80211/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/ssb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/usb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/wireless/
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom_93cx6.ko
	@/sbin/depmod -ae
	@echo
	@echo "Your old wireless subsystem modules were left intact:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l at76_usb
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l rc80211_simple
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwl4965
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l ieee80211
	@$(MODPROBE) -l ieee80211_crypt
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l ub8xxx
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l zd1211rw
	@
	@echo 

clean:
	@if [ -d net -a -d $(KLIB_BUILD) ]; then \
		$(MAKE) -C $(KLIB_BUILD) M=$(PWD) clean ;\
	fi
	@rm -f $(CREL_PRE)*
unload:
	@./scripts/unload.sh

load: unload
	@./scripts/load.sh

.PHONY: all clean install uninstall unload load

endif

clean-files += Module.symvers modules.order $(CREL_CHECK) $(CONFIG_CHECK)

=== updates/compat-wireless-2.6/drivers/misc/Makefile ===
#
# Makefile for misc devices that really don't fit anywhere else.
#
obj- := misc.o	# Dummy rule to force built-in.o to be made

obj-$(CONFIG_EEPROM_93CX6)	+= eeprom_93cx6.o

=== updates/compat-wireless-2.6/drivers/net/wireless/Makefile ===
#
# Makefile for the Linux Wireless network device drivers.
#

obj-$(CONFIG_IPW2100) += ipw2100.o

obj-$(CONFIG_IPW2200) += ipw2200.o

obj-$(CONFIG_B43)		+= b43/
obj-$(CONFIG_B43LEGACY)		+= b43legacy/
obj-$(CONFIG_ZD1211RW)		+= zd1211rw/

obj-$(CONFIG_USB_NET_RNDIS_WLAN)	+= rndis_wlan.o

obj-$(CONFIG_LIBERTAS)		+= libertas/

obj-$(CONFIG_LIBERTAS_THINFIRM)	+= libertas_tf/

rtl8180-objs		:= rtl8180_dev.o rtl8180_rtl8225.o rtl8180_sa2400.o rtl8180_max2820.o rtl8180_grf5101.o
rtl8187-objs		:= rtl8187_dev.o rtl8187_rtl8225.o

obj-$(CONFIG_RTL8180)	+= rtl8180.o
obj-$(CONFIG_RTL8187)	+= rtl8187.o

obj-$(CONFIG_ADM8211)	+= adm8211.o

obj-$(CONFIG_IWLWIFI)	+= iwlwifi/
obj-$(CONFIG_RT2X00)	+= rt2x00/

obj-$(CONFIG_P54_COMMON)	+= p54/

obj-$(CONFIG_ATH5K)	+= ath5k/
obj-$(CONFIG_ATH9K)	+= ath9k/

obj-$(CONFIG_MAC80211_HWSIM)	+= mac80211_hwsim.o

=== debian/changelog ===
linux-backports-modules-2.6.27 (2.6.27-7.4) intrepid; urgency=low

  [Tim Gardner]

  * Removed bogus linux-headers-lum dependency.
    - LP: #285898

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 20 Oct 2008 10:39:19 -0600

linux-backports-modules-2.6.27 (2.6.27-7.3) intrepid; urgency=low

  [Tim Gardner]

  * Added iwlwifi firmware
  * Added the upstream compat-wireless-2.6 tree.
  * Updated compat-wireless to wireless-testing tag master-2008-10-14
  * Set CONFIG_WIRELESS_OLD_REGULATORY=y by default.

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 20 Oct 2008 09:54:03 -0600

linux-backports-modules-2.6.27 (2.6.27-7.2) intrepid; urgency=low

  * ABI bump

 --  Tim Gardner <tim.gardner@canonical.com>  Fri, 10 Oct 2008 09:59:30 -0600

linux-backports-modules-2.6.27 (2.6.27-6.1) intrepid; urgency=low

  * Initial empty package

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 09 Sep 2008 08:26:34 -0600

=== debian/control ===
Source: linux-backports-modules-2.6.27
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.27-7-generic [i386 amd64], linux-headers-2.6.27-7-server [i386 amd64]

Package: linux-headers-lbm-2.6.27-7
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.27
 This package provides linux-ubuntu-modules header files for version 2.6.27, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.27-7/debian.README.gz for details

Package: linux-backports-modules-2.6.27-7-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.27-7-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.27 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.27 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.27-7-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.27-7-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.27
 This package provides linux-backports-modules header files for version 2.6.27, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.27-7/debian.README.gz for details

Package: linux-backports-modules-2.6.27-7-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.27-7-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.27 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.27 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.27-7-server
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.27-7-server
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.27
 This package provides linux-backports-modules header files for version 2.6.27, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.27-7/debian.README.gz for details

## linux-backports-modules-2.6.27 2.6.27-17.20

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_LENOVO_SL_LAPTOP)	+= lenovo-sl-laptop/

=== updates/compat-wireless-2.6/net/wireless/Makefile ===
obj-$(CONFIG_CFG80211) += cfg80211.o
obj-$(CONFIG_LIB80211) += lib80211.o
obj-$(CONFIG_LIB80211_CRYPT_WEP) += lib80211_crypt_wep.o
obj-$(CONFIG_LIB80211_CRYPT_CCMP) += lib80211_crypt_ccmp.o
obj-$(CONFIG_LIB80211_CRYPT_TKIP) += lib80211_crypt_tkip.o

cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o scan.o compat.o
cfg80211-$(CONFIG_WIRELESS_EXT) += wext-compat.o
cfg80211-$(CONFIG_NL80211) += nl80211.o

ccflags-y += -D__CHECK_ENDIAN__

=== updates/compat-wireless-2.6/drivers/net/wireless/Makefile ===
#
# Makefile for the Linux Wireless network device drivers.
#

obj-$(CONFIG_IPW2100) += ipw2x00/
obj-$(CONFIG_IPW2200) += ipw2x00/

obj-$(CONFIG_AT76C50X_USB)      += at76c50x-usb.o

obj-$(CONFIG_B43)		+= b43/
obj-$(CONFIG_B43LEGACY)		+= b43legacy/
obj-$(CONFIG_ZD1211RW)		+= zd1211rw/
obj-$(CONFIG_RTL8180)		+= rtl818x/
obj-$(CONFIG_RTL8187)		+= rtl818x/


obj-$(CONFIG_USB_NET_RNDIS_WLAN)	+= rndis_wlan.o

obj-$(CONFIG_LIBERTAS)		+= libertas/

obj-$(CONFIG_LIBERTAS_THINFIRM)	+= libertas_tf/

obj-$(CONFIG_ADM8211)	+= adm8211.o

obj-$(CONFIG_IWLWIFI)	+= iwlwifi/
obj-$(CONFIG_RT2X00)	+= rt2x00/

obj-$(CONFIG_P54_COMMON)	+= p54/

obj-$(CONFIG_ATH5K)	+= ath5k/
obj-$(CONFIG_ATH9K)	+= ath9k/

obj-$(CONFIG_MAC80211_HWSIM)	+= mac80211_hwsim.o

=== updates/compat-wireless-2.6/drivers/net/wireless/iwlwifi/Makefile ===
obj-$(CONFIG_IWLWIFI)	+= iwlcore.o
iwlcore-objs 		:= iwl-core.o iwl-eeprom.o iwl-hcmd.o iwl-power.o
iwlcore-objs 		+= iwl-rx.o iwl-tx.o iwl-sta.o iwl-calib.o
iwlcore-objs 		+= iwl-scan.o
iwlcore-$(CONFIG_IWLWIFI_DEBUGFS) += iwl-debugfs.o
iwlcore-$(CONFIG_IWLWIFI_LEDS) += iwl-led.o
iwlcore-$(CONFIG_IWLWIFI_RFKILL) += iwl-rfkill.o
iwlcore-$(CONFIG_IWLWIFI_SPECTRUM_MEASUREMENT) += iwl-spectrum.o

obj-$(CONFIG_IWLAGN)	+= iwlagn.o
iwlagn-objs		:= iwl-agn.o iwl-agn-rs.o

iwlagn-$(CONFIG_IWL4965) += iwl-4965.o
iwlagn-$(CONFIG_IWL5000) += iwl-5000.o
iwlagn-$(CONFIG_IWL5000) += iwl-6000.o
iwlagn-$(CONFIG_IWL5000) += iwl-100.o

obj-$(CONFIG_IWL3945)	+= iwl3945.o
iwl3945-objs		:= iwl3945-base.o iwl-3945.o iwl-3945-rs.o
iwl3945-$(CONFIG_IWL3945_LEDS) += iwl-3945-led.o

=== debian/changelog ===
linux-backports-modules-2.6.27 (2.6.27-17.20) intrepid-security; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -17 for security release 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 25 Jan 2010 12:42:01 -0800

linux-backports-modules-2.6.27 (2.6.27-16.19) intrepid-security; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -16 for security release 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 30 Nov 2009 23:30:01 -0800

linux-backports-modules-2.6.27 (2.6.27-15.18) intrepid-security; urgency=low

   Bump ABI to -15 due to security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 12 Oct 2009 12:58:33 -0700

linux-backports-modules-2.6.27 (2.6.27-14.17) intrepid-proposed; urgency=low

  [ Ike Panhc ]

  * Add driver for Lenovo SL Thinkpads
    - LP: #351586
  * SAUCE: Add dmi pattern for Lenovo SL laptop
    - LP: #351586

  [ Stefan Bader ]

  * Add lenovo-sl-laptop in backport package
    - LP: #351586

  [ Upstream Kernel Changes ]

  * ath9k: implement IO serialization
    - LP: #373034
  * ath9k: AR9280 PCI devices must serialize IO as well
    - LP: #373034

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 11 May 2009 14:31:40 +0200

linux-backports-modules-2.6.27 (2.6.27-14.16) intrepid-proposed; urgency=low

  [Upstream Kernel Changes]

  * wiphy_update_regulatory: avoid beacons and notifiers if no
    regulatory_domain
    - LP: #337929

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 08 Apr 2009 10:54:13 +0200

linux-backports-modules-2.6.27 (2.6.27-14.15) intrepid-proposed; urgency=low

  [Stefan Bader]

  * scripts: Fix type in prepare-compat-wireless.sh
    - LP: #332576
  * ABI bump by proposed update

  [Tim Gardner]

  * Update MUNGE script for latest wireless-testing/compat-wireless
    - LP: #293217
  * Update to master-2009-03-04
    - LP: #293217

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 23 Feb 2009 11:05:27 +0100

linux-backports-modules-2.6.27 (2.6.27-13.14) intrepid-proposed; urgency=low

  [Stefan Bader]

  * ABI bump by proposed update

 --  Stefan Bader <stefan.bader@canonical.com>  Tue, 17 Feb 2009 07:59:17 +0100

linux-backports-modules-2.6.27 (2.6.27-12.13) intrepid-proposed; urgency=low

  * ABI bump by proposed update

 --  Stefan Bader <stefan.bader@canonical.com>  Mon, 26 Jan 2009 20:54:37 +0100

linux-backports-modules-2.6.27 (2.6.27-11.12) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Revert "Updated compat-wireless to master-2008-12-23"
    - LP: #293217

 --  <stefan.bader@canonical.com>  Fri, 23 Jan 2009 17:48:36 +0100

linux-backports-modules-2.6.27 (2.6.27-11.11) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Updated compat-wireless to master-2008-12-23
    - LP: #293217

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 05 Jan 2009 08:41:59 -0700

linux-backports-modules-2.6.27 (2.6.27-11.10) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Updated to master-2008-12-17
    - LP: #293217
  * Fix firmware naming issues caused by upstream wireless-testing.
  * Updated iwl 3945 firmware to iwlwifi-3945-ucode-15.28.2.8.

 --  Tim Gardner <tim.gardner@canonical.com>  Fri, 19 Dec 2008 08:38:37 -0700

linux-backports-modules-2.6.27 (2.6.27-11.9) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Update to wireless-testing master-2008-11-24
    - LP: #293217
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 16 Dec 2008 16:52:10 -0700

linux-backports-modules-2.6.27 (2.6.27-10.8) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Updated to wireless-testing master-2008-11-17
    - LP: #293217
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 11 Nov 2008 08:52:25 -0700

linux-backports-modules-2.6.27 (2.6.27-8.7) intrepid-proposed; urgency=low

  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 06 Nov 2008 13:27:41 -0700

linux-backports-modules-2.6.27 (2.6.27-7.6) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Really update to wireless-testing master-2008-10-31
    Somehow either git failed me, or it was pilot error,
    but the last upload wasn't master-2008-10-31. This also
    includes the b44 driver.
    -LP: #293217

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 04 Nov 2008 14:17:29 -0700

linux-backports-modules-2.6.27 (2.6.27-7.5) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Fix search for iwl5000 firmware file name.
  * Update compat-wireless to wireless-testing master-2008-10-31
  * reverted wireless-testing "ath5k: Update interrupt masking code"
    which causes problems with ath5k.

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 03 Nov 2008 10:58:09 -0700

=== debian/control ===
Source: linux-backports-modules-2.6.27
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.27-17-generic [i386 amd64], linux-headers-2.6.27-17-server [i386 amd64]

Package: linux-headers-lbm-2.6.27-17
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.27
 This package provides linux-ubuntu-modules header files for version 2.6.27, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.27-17/debian.README.gz for details

Package: linux-backports-modules-2.6.27-17-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.27-17-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.27 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.27 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.27-17-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.27-17-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.27
 This package provides linux-backports-modules header files for version 2.6.27, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.27-17/debian.README.gz for details

Package: linux-backports-modules-2.6.27-17-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.27-17-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.27 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.27 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.27-17-server
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.27-17-server
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.27
 This package provides linux-backports-modules header files for version 2.6.27, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.27-17/debian.README.gz for details
